#norootforbuild

#
# spec file for package DB (Version 1.7.11)
#
# Copyright (c) 2007 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bug fixes or comments via http://bugs.opensuse.org/
#

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  /var/lib/pear

Summary: Database Abstraction Layer
Name: php5-pear-db
Version: 1.7.12
Release: 4.2
License: PHP License
Group: Development/Libraries/Other
Source0: http://pear.php.net/get/DB-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
URL: http://pear.php.net/package/DB
BuildRequires: php5-pear
PreReq: php5-pear
BuildArch: noarch

%description
DB is a database abstraction layer providing:
* an OO-style query API
* portability features that make programs written for one DBMS work with
other DBMS's
* a DSN (data source name) format for specifying database servers
* prepare/execute (bind) emulation for databases that don't support it
natively
* a result object for each query response
* portable error codes
* sequence emulation
* sequential and non-sequential row fetching as well as bulk fetching
* formats fetched rows as associative arrays, ordered arrays or objects
* row limit support
* transactions support
* table information interface
* DocBook and phpDocumentor API documentation

DB layers itself on top of PHP's existing
database extensions.

Drivers for the following extensions pass
the complete test suite and provide
interchangeability when all of DB's
portability options are enabled:

  fbsql, ibase, informix, msql, mssql,
  mysql, mysqli, oci8, odbc, pgsql,
  sqlite and sybase.

There is also a driver for the dbase
extension, but it can't be used
interchangeably because dbase doesn't
support many standard DBMS features.

DB is compatible with both PHP 4 and PHP 5.

%prep

%setup -c -T

pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -s

%build

%install

pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
%{__rm} pearrc
%{__rm} %{buildroot}/%{peardir}/.filemap
%{__rm} %{buildroot}/%{peardir}/.lock
%{__rm} -rf %{buildroot}/%{peardir}/.registry
%{__rm} -rf %{buildroot}%{peardir}/.channels
%{__rm} %{buildroot}%{peardir}/.depdb
%{__rm} %{buildroot}%{peardir}/.depdblock

%{__mv} %{buildroot}/docs .


# Install XML package description
%{__mkdir_p} %{buildroot}%{xmldir}
%{__tar} -xzf %{SOURCE0} package.xml
%{__cp} -p package.xml %{buildroot}%{xmldir}/DB.xml

%clean

%{__rm} -rf %{buildroot}

%post

pear install --nodeps --soft --force --register-only %{xmldir}/DB.xml

%postun

if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/DB
fi

%files

%defattr(-,root,root)
%doc docs/DB/*
%{peardir}/*
%{xmldir}/DB.xml
%changelog
* Wed Jul 25 2007 mmarek@suse.cz
- updated to 1.7.12
  * fixes an issue that prevented PostgreSQL users from escaping
    values with PHP 5.2
* Sat Jun 23 2007 judas_iscariote@shorewall.net
- update to pear-db 1.7.11 [#278175]
- adapt package to new pear package format
